Std ViewIsometric

From FreeCAD Documentation
Jump to navigation Jump to search
This page contains changes which are not marked for translation.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano
Under construction icon-blue.svg
This documentation is work in progress. Please don't mark it as translatable since it will change the next hours and days.


Std ViewIsometric.svg Std ViewIsometric

Menu location
View → Standard views → Axonometric → Isometric
Workbenches
All
Default shortcut
0
Introduced in version
-
See also
Std ViewDimetric, Std ViewTrimetric


Description

The Std ViewIsometric command realigns the camera in the active 3D view to obtain an isometric view. But the view will only be isometric if it is in orthographic mode.

Std ViewIsometric example.svg

The axis cross and a cube in isometric view


Usage

  1. There are several ways to invoke the command:
    • Press the Std ViewIsometric.svg Std ViewIsometric button.
    • Select the View → Standard views → Axonometric → Std ViewIsometric.svg Isometric option from the menu.
    • Select the Standard views → Std ViewIsometric.svg Isometric option from the 3D view context menu.
    • Use the keyboard shortcut: 0.

Scripting

See also: FreeCAD Scripting Basics.

To change to isometric view use the viewIsometric method of the ActiveView object. This method is not available if FreeCAD is in console mode.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.viewIsometric()
FreeCADGui.ActiveDocument.ActiveView.getViewDirection()